Chez Éric Sibert
+ Accueil du site > Informatique > Delphi

LibQT

Mis en ligne le 13/02/2005

Les programmes que j’ai développé simultanément pour Windows et Linux l’ont été grâce à Kylix et Delphi qui utilisent une bibliothèque, la CLX. Cette bibliothèque s’appuie est elle-même sur la librairie Qt de la société TrollTech. Normalement, cette librairie est fournie avec toutes les distributions relativement récentes de Linux. Vous n’avez donc normalement pas à vous en préoccuper. Malheureusement, certaines distributions, parmi les plus récentes (Mandrake 8.0 à 8.2 RedHat 7.0 à 7.3 au moins), ont été compilées avec une version non-officielle de gcc, la 2.96. Ceci peut entraîner une incompatibilité avec les applications compilées avec d’autres compilateurs. Ce problème se produit en particulier entre mes programmes et la librairie Qt. Dans ce cas, vous devez télécharger une version correctement compilée de Qt :

GZ - 2.7 Mo
libqt.tar.gz

Vous devez ensuite décompresser le fichier, l’installer dans le même dossier que le programme voulu et retirer la ligne en commentaire dans le script de démarrage du programme. Toutes les explications techniques chez developpez.com.

Copyright : droit d'auteur Éric Sibert. Site réalisé avec SPIP.